BufferedTransformation::NoChannelSupport Struct Reference

Exception thrown when a filter does not support named channels. More...

`#include <cryptlib.h>`

Inheritance diagram for BufferedTransformation::NoChannelSupport:

## Public Member Functions

| NoChannelSupport (const std::string &name)
Public Member Functions inherited from NotImplemented
| NotImplemented (const std::string &s)
| Construct an NotImplemented.
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when a filter does not support named channels.

Definition at line 2187 of file cryptlib.h.

## Constructor & Destructor Documentation

## NoChannelSupport()

BufferedTransformation::NoChannelSupport::NoChannelSupport | ( | const std::string & | name | ) |

inline

Definition at line 2188 of file cryptlib.h.

The documentation for this struct was generated from the following file:

- cryptlib.h